Skip to main content

v1.3.8

Updating your medusa server to version Copy to Clipboard may cause issues when using NPM. Please refer to this guide for more details on how to resolve it.

Update Using Yarn

It's highly recommended to use yarn when working with Medusa. Updating with yarn should resolve any issues you might run into during the update.

Resolving Update Issues with NPM

Update All Medusa Dependencies

If you face any errors during your update to version Copy to Clipboard, make sure to update all Medusa dependencies you’re using on your server. This includes Copy to Clipboard, Copy to Clipboard, or any of Medusa’s official plugins.

You can update to the latest version of these using the Copy to Clipboard version tag. For example:

Report Incorrect CodeReport Incorrect CodeReport Incorrect CodeCopy to Clipboard
npm install medusa-interfaces@latest
Copy to Clipboard

Use Legacy Peer Dependencies Option

This solution can be used as a workaround and should be used with caution to avoid any issues while using Medusa.

If all fails, you can use the Copy to Clipboard option while updating Medusa:

Report Incorrect CodeReport Incorrect CodeReport Incorrect CodeCopy to Clipboard
npm install @medusajs/medusa@latest --legacy-peer-deps
Copy to Clipboard